/*
 * main2.c
 *
 *  Created on: Oct 21, 2016
 *      Author: wn
 */

/*
 * 1. insert #include "main2.h" at USER CODE Includes of main.c
 * 2. insert my_setup_1(); at USER CODE 1 in main.c
 * 3. insert my_setup_2(); at USER CODE 2 in main.c
 * 4. insert my_loop(); at USER CODE 3 in main.c
 * 5. insert my_errorHandler(); at USER CODE BEGIN Error_Handler in main.c
 * All this is done by the script insertMyCode.sh in tools
 */



#include <stdlib.h>
#include <PontCoopScheduler.h>
#include "stm32f1xx_hal.h"

#include "led.h"



void my_setup_1() {
	schInit();
}

void my_loop() {
	schExec();
}

void HAL_SYSTICK_Callback() {
	schUpdate();
}


void my_errorHandler() {
	// HAL_GPIO_WritePin(ERROR_GPIO_Port, ERROR_Pin, GPIO_PIN_SET);
}

void my_setup_2() {
  blinkInit();
}



